import request from '@/utils/request'

// 餐厅菜单新增
export function addMenu(data) {
  return request({
    url: `/dh/menu/add`,
    method: 'post',
    data: data
  })
}
// 餐厅菜单删除
export function delMenu(ids) {
  return request({
    url: `/dh/menu/del/${ids}`,
    method: 'DELETE',
    // data: data
  })
}
// 餐厅菜单列表
export function menuList(params) {
  return request({
    url: `/dh/menu/list`,
    method: 'get',
    params: params
  })
}
// 餐厅食材新增
export function addFood(data) {
  return request({
    url: `/dh/record/add`,
    method: 'post',
    data: data
  })
}
// 餐厅食材列表
export function foodList(params) {
  return request({
    url: `/dh/record/listRecord`,
    method: 'get',
    params: params
  })
}
// 餐厅食材删除(明细删除)
export function delFood(ids) {
  return request({
    url: `/dh/recorditem/${ids}`,
    method: 'DELETE',
    // data: data
  })
}